/*
 * FKT_COS.java	01.07.99
 *
 *
 * Beilage zum Buch "Software-Entwurf mit UML"
 * von J.Seemann & J. Wolff von Gudenberg,
 * Springer-Verlag, 1999
 * 
 */
 
/** <i>repr&auml;sentiert ein Funktionsobjekt - Cosinus-Funktion - im Parsebaum */

public class FKT_COS extends Funktion
{
   public double funktion(double x)  { return Math.cos(x); }
   public String getName()   { return "COS"; }
   public Object fclone()   { return new FKT_COS(); }
}